<?php

/**
 * Element Controls
 */
 

/* FIELDS */
$fields =  array(
	'allow' => array(
		'type'    => 'multi-choose',
		'ui' => array(
			'title'   => __('Who can see contents?', PC_ML),
			'tooltip' => '',
		),
		'options' => array(
			'choices' => pc_cs_uc_array()
		),
	),
	
	'block' => array(
		'type'    => 'multi-choose',
		'ui' => array(
			'title'   => __('Who to block? (optional)', PC_ML),
			'tooltip' => '',
		),
		'options' => array(
			'choices' => pc_cs_uc_array(false)
		),
	),
	
	'warning' => array(
		'type'    => 'toggle',
		'ui' => array(
			'title'   => __('Show warning box?', PC_ML),
			'tooltip' => __('Check to display a yellow warning box', PC_ML),
		),
	),
	
	'message' => array(
		'type'    => 'text',
		'ui' => array(
			'title'   => __('Custom message for not allowed users', PC_ML),
		),
	),
	
	'content' => array(
		'type'    => 'editor',
		'ui' => array(
			'title'   => __("Contents", "pc_ml"),
			'tooltip' => '',
		),
		'context' => 'content',
		'suggest' => ''
    ),
);



return $fields;
